2020-07-08 13:51 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005838Spring engineGeneralpublic2017-11-16 21:48
Reporterabma 
Assigned Tohokomoko 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target Version105.0Fixed in Version 
Summary0005838: compile error with gcc 6.3: rts/lib/assimp/code/ColladaLoader.cpp:1070:44: error: call of overloaded ‘abs(float)’ is ambiguous
Description/home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.cpp: In function ‘void insertMorphTimeValue(std::vector<MorphTimeValues>&, float, float, unsigned int)’:
/home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.cpp:1070:44: error: call of overloaded ‘abs(float)’ is ambiguous
         if (std::abs(time - values[i].mTime) < 1e-6f)
                                            ^
In file included from /usr/include/c++/6/ext/string_conversions.h:41:0,
                 from /usr/include/c++/6/bits/basic_string.h:5417,
                 from /usr/include/c++/6/string:52,
                 from /usr/include/c++/6/stdexcept:39,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/Exceptional.h:44,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/BaseImporter.h:46,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.h:47,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.cpp:48:
/usr/include/c++/6/cstdlib:172:3: note: candidate: long int std::abs(long int)
   abs(long __i) { return __builtin_labs(__i); }
   ^~~
In file included from /usr/include/c++/6/cstdlib:75:0,
                 from /usr/include/c++/6/ext/string_conversions.h:41,
                 from /usr/include/c++/6/bits/basic_string.h:5417,
                 from /usr/include/c++/6/string:52,
                 from /usr/include/c++/6/stdexcept:39,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/Exceptional.h:44,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/BaseImporter.h:46,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.h:47,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.cpp:48:
/usr/include/stdlib.h:735:12: note: candidate: int abs(int)
 extern int abs (int __x) __THROW __attribute__ ((__const__)) __wur;
            ^~~
In file included from /usr/include/c++/6/ext/string_conversions.h:41:0,
                 from /usr/include/c++/6/bits/basic_string.h:5417,
                 from /usr/include/c++/6/string:52,
                 from /usr/include/c++/6/stdexcept:39,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/Exceptional.h:44,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/BaseImporter.h:46,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.h:47,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.cpp:48:
/usr/include/c++/6/cstdlib:180:3: note: candidate: long long int std::abs(long long int)
   abs(long long __x) { return __builtin_llabs (__x); }
   ^~~
/home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.cpp: In member function ‘void Assimp::ColladaLoader::CreateAnimation(aiScene*, const Assimp::ColladaParser&, const Assimp::Collada::Animation*, const string&)’:
/home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.cpp:1352:85: error: call of overloaded ‘abs(ai_real)’ is ambiguous
                       const ai_real delta = std::abs(cur_key_angle - last_eval_angle);
                                                                                     ^
In file included from /usr/include/c++/6/ext/string_conversions.h:41:0,
                 from /usr/include/c++/6/bits/basic_string.h:5417,
                 from /usr/include/c++/6/string:52,
                 from /usr/include/c++/6/stdexcept:39,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/Exceptional.h:44,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/BaseImporter.h:46,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.h:47,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.cpp:48:
/usr/include/c++/6/cstdlib:172:3: note: candidate: long int std::abs(long int)
   abs(long __i) { return __builtin_labs(__i); }
   ^~~
In file included from /usr/include/c++/6/cstdlib:75:0,
                 from /usr/include/c++/6/ext/string_conversions.h:41,
                 from /usr/include/c++/6/bits/basic_string.h:5417,
                 from /usr/include/c++/6/string:52,
                 from /usr/include/c++/6/stdexcept:39,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/Exceptional.h:44,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/BaseImporter.h:46,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.h:47,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.cpp:48:
/usr/include/stdlib.h:735:12: note: candidate: int abs(int)
 extern int abs (int __x) __THROW __attribute__ ((__const__)) __wur;
            ^~~
In file included from /usr/include/c++/6/ext/string_conversions.h:41:0,
                 from /usr/include/c++/6/bits/basic_string.h:5417,
                 from /usr/include/c++/6/string:52,
                 from /usr/include/c++/6/stdexcept:39,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/Exceptional.h:44,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/BaseImporter.h:46,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.h:47,
                 from /home/abma/dev/spring/develop/rts/lib/assimp/code/ColladaLoader.cpp:48:
/usr/include/c++/6/cstdlib:180:3: note: candidate: long long int std::abs(long long int)
   abs(long long __x) { return __builtin_llabs (__x); }
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018643

abma (administrator)

$ git describe
104.0.1-389-gd97a8f68d

~0018645

hokomoko (developer)

Fix 4f6cf167788efa5eb4433b7dc640ea545bfad41b committed to develop branch: fix 0005838, repo: spring changeset id: 9301
+Notes

-Issue History
Date Modified Username Field Change
2017-11-15 22:39 abma New Issue
2017-11-15 22:42 abma Note Added: 0018643
2017-11-16 21:48 hokomoko Changeset attached => spring develop 4f6cf167
2017-11-16 21:48 hokomoko Note Added: 0018645
2017-11-16 21:48 hokomoko Assigned To => hokomoko
2017-11-16 21:48 hokomoko Status new => resolved
2017-11-16 21:48 hokomoko Resolution open => fixed
+Issue History